Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1488367 - Create registry certificates fails when openshift_hosted_routers have a ca called ca.crt
Summary: Create registry certificates fails when openshift_hosted_routers have a ca ca...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Andrew Butcher
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 08:31 UTC by Kim Borup
Modified: 2019-03-29 06:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-31 15:13:55 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Kim Borup 2017-09-05 08:33:41 UTC
missed one hostname in the copy that is why i made comment one private..

Comment 2 Scott Dodson 2017-10-10 20:46:51 UTC
We should either prefix whatever we copy like openshift-ansible-{{ cafile | basename }} or put them in a subdirectory so they don't conflict with anything that's generated as part of the installation. Marking this as low as the workaround would be to ensure that filenames that dont' conflict are used as inputs.

Comment 5 Scott Dodson 2019-01-31 15:13:55 UTC
There appear to be no active cases related to this bug. As such we're closing this bug in order to focus on bugs that are still tied to active customer cases. Please re-open this bug if you feel it was closed in error or a new active case is attached.


Note You need to log in before you can comment on or make changes to this bug.